Description

Comme beaucoup de client, il peut etre interessant de pouvoir bloquer un contact (c'est a dire ne pas lui indiquer sa presence
temporairement). La XSF propose 2 xep pour cela :

e XEP : 0191 Simple Communications Blocking
e XEP : 0016 Privacy List

La xep 0016 est implemente dans smack donc elle peut etre plus facile a utiliser dans beem. Elle peut egalement etre utiliser pour
d'autre applications (au sens servir a faire autre chose). Je conseille de I'utiliser plutot que la 0191

Associated revisions

Revision 269:d78115a6b45b - 06/23/2009 01:34 PM - Nikita Kozlov

Feature #183
des petits trucs en plus, ajout du bouton "block user", il ne faut pas
le toucher, il y a un bug dessus encore

Revision 269:d78115a6b45b - 06/23/2009 01:34 PM - nikita@localhost

Feature #183
des petits trucs en plus, ajout du bouton "block user", il ne faut pas
le toucher, il y a un bug dessus encore

Revision 269:d78115a6b45b - 06/23/2009 01:34 PM - nikita@localhost

Feature #183
des petits trucs en plus, ajout du bouton "block user", il ne faut pas
le toucher, il y a un bug dessus encore

History

#1 - 06/24/2009 05:49 PM - Nikita Kozlov
- % Done changed from 0 to 20
- Estimated time set to 30.00 h

Début du tout, j'ai mi la classe de base, l'aidl, le bouton coté ui, et I'adapter coté service.
Aprés il y a un soucis de Cast qu'on ne retrouve que sous Android, il faudra que je me penche plus en détail dessus plus tard, quand on aura plus de
temps.

#2 - 11/14/2009 07:51 PM - Jean-Manuel Da Silva

- Assignee changed from Nikita Kozlov to Jean-Manuel Da Silva

Je prend le relais sur les Privacy Lists.

#3 - 11/19/2009 11:18 AM - Nikita Kozlov

Petite précision, google utilise une XEP perso pour ce qui est gestion de privacy list, donc pas testable avec leur serveur.

Il te faudra passer par elyzion.net ou un openfire maison.

#4 - 11/19/2009 04:25 PM - Vincent Véronis
- Status changed from New to Assigned

- Target version changed from 0.1 to Version Forum EIP
http://xmpp.org/extensions/xep-0191.html
http://xmpp.org/extensions/xep-0016.html

#5 - 12/16/2009 12:44 AM - Jean-Manuel Da Silva

- Target version changed from Version Forum EIP to 0.2
